package net.pocketmagic.android.scalingtest;

import android.content.Context;
import android.widget.ImageView;

public class ScalableImageView extends ImageView {
	int m_w,
		m_h;
	public ScalableImageView(Context context, int w, int h) {
		super(context);
		m_w = w; m_h = h;
	}
	@Override 
	protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec){
		super.onMeasure(widthMeasureSpec, heightMeasureSpec);
		this.setMeasuredDimension(m_w, m_h);
	}
}
